=== debian/changelog ===
blockdomains (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1098487)

 -- Ralph Ronnquist <rrq@rrq.au>  Tue, 18 Feb 2025 10:40:54 +1100
