=== debian/control ===
Source: blockdomains
Section: net
Priority: optional
Maintainer: Ralph Ronnquist <rrq@rrq.au>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libnetfilter-queue-dev, asciidoctor
Standards-Version: 4.7.2
Homepage: https://git.rrq.au/rrq/blockdomains.git
#Vcs-Browser:
#Vcs-Git:

Package: blockdomains
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, iptables
Description: Firewall agent blocking selected HTTP and SSL connections
 The blockdomains utility is a block list based network traffic filter
 for iptables via libnetfilter-queue. It applies to HTTP and SSL
 traffic for recognizing and dropping packets that are directed to
 listed domain names.
